Page MenuHomePhabricator

No Typeahead on Herald object rule creation
Open, Needs TriagePublic

Description

During the Herald object rule creation workflow, there is no typeahead for the object selection text box (this is box that allows you to pick a project or repo to be linked to the rule).

Event Timeline

epkugelmass raised the priority of this task from to Needs Triage.
epkugelmass updated the task description. (Show Details)
epkugelmass added projects: Herald, Typeahead.
epkugelmass added a subscriber: epkugelmass.

I think we wrote this before typeaheads were modularized (T4420) so it wasn't easy to add a composite datasource at the time.

This is relatively easy nowadays.

Although tokenizer/typeahead stuff is churning a bit in connection with T4100 right now so this should probably wait for that to settle down.

eadler added a subscriber: eadler.Apr 14 2016, 5:41 AM
aubort added a subscriber: aubort.Oct 13 2016, 2:30 PM
chad closed this task as Resolved.Aug 6 2017, 3:59 AM
chad claimed this task.
chad added a subscriber: chad.

epriestley reopened this task as Open.Aug 6 2017, 11:50 AM

I don't think this is resolved, just an unclear report. To access this screen:

  • Herald โ†’ Create Herald Rule โ†’ Commit Hook: Branches/Tags/Bookmarks
  • Select Object on the next screen and submit.
  • Now, you get a plain text field labeled "Object", not, e.g., a "projects and repositories" tokenizer:

This reproduces for me at current HEAD of master.

chad added a comment.Aug 6 2017, 3:36 PM

oh thanks!

chad removed chad as the assignee of this task.Aug 21 2017, 6:10 PM